eslint-plugin-module-resolver
Warn when using relative paths to modules aliased
Last updated 3 years ago by heroprotagonist .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install eslint-plugin-module-resolver 
SYNC missed versions from official npm registry.

eslint-plugin-module-resolver

npm version npm downloads CircleCI codecov

Warn when using relative paths to modules aliased using babel-plugin-module-resolver

Installation

You'll first need to install ESLint:

yarn add --dev eslint

Next, install eslint-plugin-module-resolver:

yarn add --dev eslint-plugin-module-resolver

Usage

Add module-resolver to the plugins section of your .eslintrc configuration file. You can omit the eslint-plugin- prefix:

{
  "plugins": ["module-resolver"]
}

Then configure the rules you want to use under the rules section of .eslintrc.

{
  "rules": {
    "module-resolver/use-alias": 2
  }
}

Supported Rules

License

ESLint-plugin-module-resolver is licensed under the MIT License.

Current Tags

  • 1.2.0                                ...           latest (24 days ago)

23 Versions

  • 1.2.0                                ...           24 days ago
  • 1.2.0-beta                                ...           a month ago
  • 1.1.0                                ...           2 months ago
  • 1.0.0                                ...           5 months ago
  • 0.17.0                                ...           7 months ago
  • 0.16.0                                ...           a year ago
  • 0.15.0                                ...           a year ago
  • 0.14.0                                ...           a year ago
  • 0.13.0-ts                                ...           a year ago
  • 0.13.0                                ...           2 years ago
  • 0.12.0                                ...           2 years ago
  • 0.11.0                                ...           2 years ago
  • 0.10.0                                ...           2 years ago
  • 0.9.0                                ...           2 years ago
  • 0.8.0                                ...           3 years ago
  • 0.7.0                                ...           3 years ago
  • 0.6.0                                ...           3 years ago
  • 0.5.0                                ...           3 years ago
  • 0.4.0                                ...           3 years ago
  • 0.3.0                                ...           3 years ago
  • 0.2.0                                ...           3 years ago
  • 0.1.0                                ...           3 years ago
  • 0.0.0                                ...           3 years ago
Maintainers (1)
Downloads
Today 0
This Week 7
This Month 71
Last Day 0
Last Week 40
Last Month 59
Dependencies (1)
Dev Dependencies (5)

Copyright 2014 - 2017 © taobao.org |